#!/bin/sh

# 
# Vivado(TM)
# runme.sh: a Vivado-generated Runs Script for UNIX
# Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
# 

if [ -z "$PATH" ]; then
  PATH=/media/userdev/DISK_1/Xilinx/Vitis/2022.2/bin:/media/userdev/DISK_1/Xilinx/Vivado/2022.2/ids_lite/ISE/bin/lin64:/media/userdev/DISK_1/Xilinx/Vivado/2022.2/bin
else
  PATH=/media/userdev/DISK_1/Xilinx/Vitis/2022.2/bin:/media/userdev/DISK_1/Xilinx/Vivado/2022.2/ids_lite/ISE/bin/lin64:/media/userdev/DISK_1/Xilinx/Vivado/2022.2/bin:$PATH
fi
export PATH

if [ -z "$LD_LIBRARY_PATH" ]; then
  LD_LIBRARY_PATH=
else
  LD_LIBRARY_PATH=:$LD_LIBRARY_PATH
fi
export LD_LIBRARY_PATH

HD_PWD='/media/userdev/DISK_1/DEV_ENSEIGNEMENTS/linux_embarque/2022_2/TMP_DEV/linuxzynq_vivado_proj/project_1/project_1.runs/zynq_design_1_processing_system7_0_0_synth_1'
cd "$HD_PWD"

HD_LOG=runme.log
/bin/touch $HD_LOG

ISEStep="./ISEWrap.sh"
EAStep()
{
     $ISEStep $HD_LOG "$@" >> $HD_LOG 2>&1
     if [ $? -ne 0 ]
     then
         exit
     fi
}

EAStep vivado -log zynq_design_1_processing_system7_0_0.vds -m64 -product Vivado -mode batch -messageDb vivado.pb -notrace -source zynq_design_1_processing_system7_0_0.tcl
